MockGrailsPluginManager (Grails 3.0.10.BUILD-SNAPSHOT)
Date: 2015-12-03

Package: org.grails.plugins

## [Java] Class MockGrailsPluginManager

- org.grails.plugins.MockGrailsPluginManager

- Authors:
    Graeme Rocher
  Since:
    0.4

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.grails.plugins.AbstractGrailsPluginManager` | `CONFIG_FILE, BEAN_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MockGrailsPluginManager (GrailsApplication application)`
    `MockGrailsPluginManager ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `checkForChanges()`
    `void` | `expectCheckForChanges()`
    `GrailsPlugin` | `getGrailsPlugin(java.lang.String name)`
    `GrailsPlugin` | `getGrailsPlugin(java.lang.String name, java.math.BigDecimal version)`
    `java.util.Collection<?>` | `getPluginObservers(GrailsPlugin plugin)`
    `GrailsPlugin[]` | `getUserPlugins()`
    `boolean` | `hasGrailsPlugin(java.lang.String name)`
    `void` | `informObservers(java.lang.String pluginName, java.util.Map event)`
    `boolean` | `isInitialised()`
    `void` | `loadPlugins()`
    `void` | `refreshPlugin(java.lang.String name)`
    `void` | `registerMockPlugin(GrailsPlugin plugin)`
    `void` | `verify()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.grails.plugins.AbstractGrailsPluginManager` | `org.grails.plugins.AbstractGrailsPluginManager#isShutdown(), org.grails.plugins.AbstractGrailsPluginManager#getTypeFilters(), org.grails.plugins.AbstractGrailsPluginManager#getAllPlugins(), org.grails.plugins.AbstractGrailsPluginManager#getFailedLoadPlugins(), org.grails.plugins.AbstractGrailsPluginManager#isInitialised(), org.grails.plugins.AbstractGrailsPluginManager#getFailedPlugin(java.lang.String), org.grails.plugins.AbstractGrailsPluginManager#doRuntimeConfiguration(java.lang.String, org.grails.spring.RuntimeSpringConfiguration), org.grails.plugins.AbstractGrailsPluginManager#doRuntimeConfiguration(org.grails.spring.RuntimeSpringConfiguration), org.grails.plugins.AbstractGrailsPluginManager#doPostProcessing(org.springframework.context.ApplicationContext), org.grails.plugins.AbstractGrailsPluginManager#getPluginResources(), org.grails.plugins.AbstractGrailsPluginManager#getGrailsPlugin(java.lang.String, java.lang.Object), org.grails.plugins.AbstractGrailsPluginManager#getGrailsPlugin(java.lang.String), org.grails.plugins.AbstractGrailsPluginManager#getGrailsPluginForClassName(java.lang.String), org.grails.plugins.AbstractGrailsPluginManager#hasGrailsPlugin(java.lang.String), org.grails.plugins.AbstractGrailsPluginManager#doDynamicMethods(), org.grails.plugins.AbstractGrailsPluginManager#setApplicationContext(org.springframework.context.ApplicationContext), org.grails.plugins.AbstractGrailsPluginManager#setApplication(grails.core.GrailsApplication), org.grails.plugins.AbstractGrailsPluginManager#registerProvidedArtefacts(grails.core.GrailsApplication), org.grails.plugins.AbstractGrailsPluginManager#doArtefactConfiguration(), org.grails.plugins.AbstractGrailsPluginManager#setPluginFilter(grails.plugins.PluginFilter), org.grails.plugins.AbstractGrailsPluginManager#supportsCurrentBuildScope(java.lang.String), org.grails.plugins.AbstractGrailsPluginManager#setLoadCorePlugins(boolean), org.grails.plugins.AbstractGrailsPluginManager#informOfClassChange(java.lang.Class), org.grails.plugins.AbstractGrailsPluginManager#informOfClassChange(java.io.File, java.lang.Class), org.grails.plugins.AbstractGrailsPluginManager#getPluginPath(java.lang.String), org.grails.plugins.AbstractGrailsPluginManager#getPluginPathForInstance(java.lang.Object), org.grails.plugins.AbstractGrailsPluginManager#getPluginForInstance(java.lang.Object), org.grails.plugins.AbstractGrailsPluginManager#getPluginForClass(java.lang.Class), org.grails.plugins.AbstractGrailsPluginManager#informPluginsOfConfigChange(), org.grails.plugins.AbstractGrailsPluginManager#informOfFileChange(java.io.File), org.grails.plugins.AbstractGrailsPluginManager#getPluginPathForClass(java.lang.Class), org.grails.plugins.AbstractGrailsPluginManager#getPluginViewsPathForInstance(java.lang.Object), org.grails.plugins.AbstractGrailsPluginManager#getPluginViewsPathForClass(java.lang.Class), org.grails.plugins.AbstractGrailsPluginManager#shutdown(), org.grails.plugins.AbstractGrailsPluginManager#wait(long, int), org.grails.plugins.AbstractGrailsPluginManager#wait(long), org.grails.plugins.AbstractGrailsPluginManager#wait(), org.grails.plugins.AbstractGrailsPluginManager#equals(java.lang.Object), org.grails.plugins.AbstractGrailsPluginManager#toString(), org.grails.plugins.AbstractGrailsPluginManager#hashCode(), org.grails.plugins.AbstractGrailsPluginManager#getClass(), org.grails.plugins.AbstractGrailsPluginManager#notify(), org.grails.plugins.AbstractGrailsPluginManager#notifyAll(), org.grails.plugins.AbstractGrailsPluginManager#getUserPlugins(), org.grails.plugins.AbstractGrailsPluginManager#checkForChanges(), org.grails.plugins.AbstractGrailsPluginManager#refreshPlugin(java.lang.String), org.grails.plugins.AbstractGrailsPluginManager#loadPlugins(), org.grails.plugins.AbstractGrailsPluginManager#getPluginObservers(grails.plugins.GrailsPlugin), org.grails.plugins.AbstractGrailsPluginManager#informObservers(java.lang.String, java.util.Map)`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public MockGrailsPluginManager(GrailsApplication application)

    - #### public MockGrailsPluginManager()

  - ### Method Detail

    - #### public void checkForChanges()

    - #### public void expectCheckForChanges()

    - #### @java.lang.Override public GrailsPlugin getGrailsPlugin(java.lang.String name)

    - #### public GrailsPlugin getGrailsPlugin(java.lang.String name, java.math.BigDecimal version)

    - #### public java.util.Collection<?> getPluginObservers(GrailsPlugin plugin)

    - #### public GrailsPlugin[] getUserPlugins()

    - #### @java.lang.Override public boolean hasGrailsPlugin(java.lang.String name)

    - #### @java.lang.SuppressWarnings("rawtypes") public void informObservers(java.lang.String pluginName, java.util.Map event)

    - #### @java.lang.Override public boolean isInitialised()

    - #### public void loadPlugins()

    - #### public void refreshPlugin(java.lang.String name)

    - #### public void registerMockPlugin(GrailsPlugin plugin)

    - #### public void verify()